> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sandmark.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List assets

> Every underlying you can query. Use these values for the `asset` parameter.



## OpenAPI

````yaml GET /v1/assets
openapi: 3.0.3
info:
  title: Sandmark Volatility API
  version: 1.0.0
  description: >-
    Continuous implied and realised volatility for crypto options, with the
    reference data to query it.
  contact:
    name: Sandmark
    url: https://sandmark.com
servers:
  - url: https://api.sandmark.com/volatility
    description: Production
security:
  - apiKey: []
tags:
  - name: Reference
    description: Assets, frequencies and expiries.
  - name: Timeseries
    description: Continuous IV and RV series.
paths:
  /v1/assets:
    get:
      tags:
        - Reference
      summary: List assets
      description: >-
        Every underlying you can query. Use these values for the `asset`
        parameter.
      operationId: listAssets
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetListResponse'
              example:
                assets:
                  - DER.BTC_USD
                  - DER.ETH_USD
                  - DER.BTC_USDC
                  - DER.ETH_USDC
                  - DER.SOL_USDC
                  - DER.XRP_USDC
                  - DER.AVAX_USDC
                  - DER.TRX_USDC
                  - DER.HYPE_USDC
                  - OKX.BTC_USD
                  - OKX.ETH_USD
                  - BIN.BTC_USDT
                  - BIN.ETH_USDT
                  - BYB.BTC_USDT
                  - BYB.ETH_USDT
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                statusCode: 401
                message: >-
                  Access denied due to missing subscription key. Make sure to
                  include subscription key when making requests to an API.
        '422':
          description: A parameter failed validation. `detail` names the field.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        '429':
          description: >-
            Rate limit exceeded. Retry after the number of seconds in
            `Retry-After`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                statusCode: 429
                message: Rate limit is exceeded. Try again in 12 seconds.
components:
  schemas:
    AssetListResponse:
      properties:
        assets:
          items:
            type: string
          type: array
          title: Assets
      type: object
      required:
        - assets
      title: AssetListResponse
    Error:
      type: object
      properties:
        statusCode:
          type: integer
          example: 403
        message:
          type: string
      required:
        - statusCode
        - message
    ValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            type: object
            properties:
              loc:
                type: array
                items:
                  type: string
              msg:
                type: string
              type:
                type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your Sandmark API key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.